Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.xmlbind.params
Enum TimeUnitParam

    java.lang.Object
      java.lang.Enum<TimeUnitParam>
          umontreal.iro.lecuyer.xmlbind.params.TimeUnitParam

All Implemented Interfaces:
  Serializable, Comparable<TimeUnitParam>

    public enum TimeUnitParam

extends Enum<TimeUnitParam>

Java class for TimeUnitParam.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="TimeUnitParam">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="NANOSECOND"/>
         <enumeration value="MICROSECOND"/>
         <enumeration value="MILLISECOND"/>
         <enumeration value="SECOND"/>
         <enumeration value="MINUTE"/>
         <enumeration value="HOUR"/>
         <enumeration value="DAY"/>
         <enumeration value="WEEK"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`DAY`
`HOUR`
`MICROSECOND`
`MILLISECOND`
`MINUTE`
`NANOSECOND`
`SECOND`
`WEEK`

Method Summary
`static TimeUnitParam` | `fromValue(String v)`
`String` | `value()`
`static TimeUnitParam` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TimeUnitParam[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NANOSECOND

    public static final TimeUnitParam NANOSECOND

### MICROSECOND

    public static final TimeUnitParam MICROSECOND

### MILLISECOND

    public static final TimeUnitParam MILLISECOND

### SECOND

    public static final TimeUnitParam SECOND

### MINUTE

    public static final TimeUnitParam MINUTE

### HOUR

    public static final TimeUnitParam HOUR

### DAY

    public static final TimeUnitParam DAY

### WEEK

    public static final TimeUnitParam WEEK

Method Detail

### values

    public static TimeUnitParam[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TimeUnitParam c : TimeUnitParam.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TimeUnitParam valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static TimeUnitParam fromValue(String v)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.